using System;
using skyscraper5.Ietf.Rfc971;

namespace skyscraper5.Skyscraper.Plugins
{
	public interface ISkyscraperMpePlugin
	{
		void ConnectToStorage(object[] connector);
		void SetContext(DateTime? currentTime, object skyscraperContext);
		bool CanHandlePacket(InternetHeader internetHeader, byte[] ipv4Packet);
		void HandlePacket(InternetHeader internetHeader, byte[] ipv4Packet);
		bool StopProcessingAfterThis();

	}
}
